Index: /trunk/jobarchived/jobarchived.conf
===================================================================
--- /trunk/jobarchived/jobarchived.conf	(revision 383)
+++ /trunk/jobarchived/jobarchived.conf	(revision 383)
@@ -0,0 +1,88 @@
+[DEFAULT]
+# Wether or not to run as a daemon in background
+#
+DAEMONIZE			: 1
+
+# Specify debugging level here (only when _not_ DAEMONIZE)
+#
+# 11 = XML: metrics
+# 10 = XML: host, cluster, grid, ganglia
+# 9  = RRD activity, gmetad config parsing
+# 8  = RRD file activity
+# 6  = SQL
+# 1  = daemon threading
+# 0  = errors
+#
+# default: 0
+#
+DEBUG_LEVEL			: 0
+
+# Enable logging to syslog?
+#
+USE_SYSLOG			: 1
+
+# What level msg'es should be logged to syslog?
+#
+# usually: lvl 0 (errors)
+#
+SYSLOG_LEVEL			: 0
+
+# Which facility to use in syslog
+#
+# Known:
+#       KERN, USER, MAIL, DAEMON, AUTH, LPR,
+#       NEWS, UUCP, CRON and LOCAL0 through LOCAL7
+#
+SYSLOG_FACILITY			: DAEMON
+
+# Where is the gmetad.conf located
+#
+GMETAD_CONF			: /etc/gmetad.conf
+
+# Where to grab XML data from
+# Usually: local gmetad (port 8651)
+#
+# Syntax: <hostname>:<port>
+#
+ARCHIVE_XMLSOURCE		: localhost:8651
+
+# List of data_source names to archive for
+#
+# Syntax: [ "<clustername>", "<clustername>" ]
+#
+ARCHIVE_DATASOURCES		: "My Cluster"
+
+# Amount of hours to store in one single archived rrd
+#
+# If you would like less files you can set this bigger
+# but could degrade performance
+#
+# For now 12 hours seems to work: 2 periods per day
+#
+ARCHIVE_HOURS_PER_RRD		: 12
+
+# Which metrics to exclude from archiving
+# NOTE: This can be a regexp or a string
+#
+ARCHIVE_EXCLUDE_METRICS		: ".*Temp.*", ".*RPM.*", ".*Version.*", ".*Tag$", "boottime", "gexec", "os.*", "machine_type"
+
+# Where to store the archived rrd's
+#
+ARCHIVE_PATH			: /var/lib/jobarch
+
+# Archive's SQL dbase to use
+#
+# Syntax: <hostname>/<database>
+#
+JOB_SQL_DBASE			: localhost/jobarchive
+
+# Timeout for jobs in archive
+#
+# Assume job has already finished while jobarchived was not running
+# after this amount of hours: the it will be finished anyway in the database
+#
+JOB_TIMEOUT			: 168
+
+# Location of rrdtool binary
+#
+RRDTOOL				: /usr/bin/rrdtool
Index: unk/jobarchived/jobarchived.conf-dist
===================================================================
--- /trunk/jobarchived/jobarchived.conf-dist	(revision 382)
+++ 	(revision )
@@ -1,88 +1,0 @@
-[DEFAULT]
-# Wether or not to run as a daemon in background
-#
-DAEMONIZE			: 1
-
-# Specify debugging level here (only when _not_ DAEMONIZE)
-#
-# 11 = XML: metrics
-# 10 = XML: host, cluster, grid, ganglia
-# 9  = RRD activity, gmetad config parsing
-# 8  = RRD file activity
-# 6  = SQL
-# 1  = daemon threading
-# 0  = errors
-#
-# default: 0
-#
-DEBUG_LEVEL			: 0
-
-# Enable logging to syslog?
-#
-USE_SYSLOG			: 1
-
-# What level msg'es should be logged to syslog?
-#
-# usually: lvl 0 (errors)
-#
-SYSLOG_LEVEL			: 0
-
-# Which facility to use in syslog
-#
-# Known:
-#       KERN, USER, MAIL, DAEMON, AUTH, LPR,
-#       NEWS, UUCP, CRON and LOCAL0 through LOCAL7
-#
-SYSLOG_FACILITY			: DAEMON
-
-# Where is the gmetad.conf located
-#
-GMETAD_CONF			: /etc/gmetad.conf
-
-# Where to grab XML data from
-# Usually: local gmetad (port 8651)
-#
-# Syntax: <hostname>:<port>
-#
-ARCHIVE_XMLSOURCE		: localhost:8651
-
-# List of data_source names to archive for
-#
-# Syntax: [ "<clustername>", "<clustername>" ]
-#
-ARCHIVE_DATASOURCES		: "My Cluster"
-
-# Amount of hours to store in one single archived rrd
-#
-# If you would like less files you can set this bigger
-# but could degrade performance
-#
-# For now 12 hours seems to work: 2 periods per day
-#
-ARCHIVE_HOURS_PER_RRD		: 12
-
-# Which metrics to exclude from archiving
-# NOTE: This can be a regexp or a string
-#
-ARCHIVE_EXCLUDE_METRICS		: ".*Temp.*", ".*RPM.*", ".*Version.*", ".*Tag$", "boottime", "gexec", "os.*", "machine_type"
-
-# Where to store the archived rrd's
-#
-ARCHIVE_PATH			: /var/lib/jobarch
-
-# Archive's SQL dbase to use
-#
-# Syntax: <hostname>/<database>
-#
-JOB_SQL_DBASE			: localhost/jobarchive
-
-# Timeout for jobs in archive
-#
-# Assume job has already finished while jobarchived was not running
-# after this amount of hours: the it will be finished anyway in the database
-#
-JOB_TIMEOUT			: 168
-
-# Location of rrdtool binary
-#
-RRDTOOL				: /usr/bin/rrdtool